
#ifndef	_SYS_UBC_H_
#define	_SYS_UBC_H_

#include <sys/appleapiopts.h>
#include <sys/cdefs.h>
#include <sys/kernel_types.h>
#include <kern/locks.h>
#include <mach/memory_object_types.h>

/*cluster_read

int cluster_read(
    vnode_t,
    struct uio *,
    off_t,
    int);  
Discussion 

cluster_read*/
int cluster_read(
    vnode_t,
    struct uio *,
    off_t,
    int);  

/*cluster_pagein

int cluster_pagein(
    vnode_t,
    upl_t,
    vm_offset_t,
    off_t,
    int,
    off_t,
    int);  
Discussion 

cluster_pagein*/
int cluster_pagein(
    vnode_t,
    upl_t,
    vm_offset_t,
    off_t,
    int,
    off_t,
    int);  


#endif

